import fs from "fs";
import path from "path";
import { mkdirp } from "./mkdirp.js";
const writeSafe = (filename, data, cb) => {
  fs.writeFile(filename, data, (err) => {
    if (err && err.code === "ENOENT") {
      mkdirp(path.dirname(filename), (err2) => {
        if (err2) {
          return cb(err2);
        }
        fs.writeFile(filename, data, cb);
      });
    } else {
      cb(err);
    }
  });
};
export {
  writeSafe
};
//# sourceMappingURL=write-safe.js.map
