const debounce = (fn, waitMs = 1e3) => {
  let timerId;
  return (...args) => {
    if (timerId) {
      clearTimeout(timerId);
    }
    timerId = setTimeout(() => fn(...args), waitMs);
  };
};
export {
  debounce
};
//# sourceMappingURL=debounce.js.map
