import { readJsonGzip } from "@home-gallery/common";
import { migrate, getDatabaseFileType } from "./migrate.js";
function readDatabase(filename, cb) {
  readJsonGzip(filename, (err, database) => {
    if (err) {
      return cb(err);
    }
    migrate(database).then((database2) => cb(null, database2), cb);
  });
}
const initDatabase = (entries) => {
  const databaseFileType = getDatabaseFileType();
  return {
    type: databaseFileType.toString(),
    created: new Date().toISOString(),
    data: entries
  };
};
const readOrCreateDatabase = (filename, cb) => {
  readDatabase(filename, (err, database) => {
    if (err && err.code == "ENOENT") {
      cb(null, initDatabase([]));
    } else {
      cb(err, database);
    }
  });
};
export {
  initDatabase,
  readDatabase,
  readOrCreateDatabase
};
//# sourceMappingURL=read-database.js.map
