import fs from "fs";
import { writeJsonGzip, writeSafe } from "@home-gallery/common";
import { initDatabase } from "./read-database.js";
const writeDatabase = (filename, entries, cb) => {
  const database = initDatabase(entries);
  const tmp = `${filename}.tmp`;
  writeJsonGzip(tmp, database, (err) => {
    if (err) {
      return cb(err);
    }
    fs.rename(tmp, filename, (err2) => cb(err2, err2 ? null : database));
  });
};
const writeDatabasePlain = (filename, entries, cb) => {
  const database = initDatabase(entries);
  const data = JSON.stringify(database);
  const tmp = `${filename}.tmp`;
  writeSafe(tmp, data, (err) => {
    if (err) {
      return cb(err);
    }
    fs.rename(tmp, filename, (err2) => cb(err2, err2 ? null : database));
  });
};
export {
  writeDatabase,
  writeDatabasePlain
};
//# sourceMappingURL=write-database.js.map
