import fs from "fs";
const rewriteFile = (file, rewriteFn, cb) => {
  fs.readFile(file, { encoding: "utf8" }, (err, data) => {
    if (err) {
      const e = new Error(`Could not read ${file} for rewrite: ${err}`);
      e.cause = err;
      return cb(e);
    }
    fs.writeFile(file, rewriteFn(data), { encoding: "utf8" }, (err2) => {
      if (err2) {
        const e = new Error(`Could not write ${file} for rewrite: ${e}`);
        e.cause = err2;
        return cb(e);
      }
      cb();
    });
  });
};
export {
  rewriteFile
};
//# sourceMappingURL=rewrite-file.js.map
