const toPlugin = (extractorFactory, name, requires = []) => {
  const plugin = {
    name,
    version: "1.0.0",
    requires,
    async initialize(manager) {
      if (Array.isArray(extractorFactory)) {
        for (let factory of extractorFactory) {
          await manager.register("extractor", factory(manager));
        }
      } else {
        await manager.register("extractor", extractorFactory(manager));
      }
    }
  };
  return plugin;
};
export {
  toPlugin
};
//# sourceMappingURL=pluginUtils.js.map
