import mcache from "memory-cache";
function cache(duration) {
  const currentCache = new mcache.Cache();
  const middleware = (req, res, next) => {
    let key = "__mcache__" + (req.originalUrl || req.url) + (req.username ? "user:" + req.username : "all");
    let cachedBody = currentCache.get(key);
    if (cachedBody) {
      res.send(cachedBody);
      return;
    } else {
      res.sendResponse = res.send;
      res.send = (body) => {
        if (res.statusCode == 200) {
          currentCache.put(key, body, duration * 1e3);
        }
        res.sendResponse(body);
      };
      next();
    }
  };
  const clear = () => {
    currentCache.clear();
  };
  return { middleware, clear };
}
export {
  cache
};
//# sourceMappingURL=cache-middleware.js.map
