import path from "path";
import { sha1Hex } from "@home-gallery/common";
import { getStoragePaths } from "./storage-path.js";
const getEntryFilesCacheKey = (entry) => {
  const { indexName, filename } = entry;
  const dirname = path.dirname(filename);
  return `${indexName}:${dirname}`;
};
const getEntryFilesCacheId = (entry) => {
  const cacheKey = getEntryFilesCacheKey(entry);
  return sha1Hex(cacheKey);
};
const getEntryFilesCacheFilename = (entry) => {
  const cacheId = getEntryFilesCacheId(entry);
  const { dir, prefix } = getStoragePaths(cacheId);
  return path.join(dir, `${prefix}-meta.cache`);
};
export {
  getEntryFilesCacheFilename,
  getEntryFilesCacheId,
  getEntryFilesCacheKey
};
//# sourceMappingURL=entry-files-cache-file.js.map
