import path from "path";
import { sha1Hex } from "@home-gallery/common";
import { getStoragePaths } from "./storage-path.js";
const getMediaCacheKey = (media) => {
  const { indexName, filename } = media.files[0] || {};
  const dirname = path.dirname(filename);
  return `${indexName}:${dirname}`;
};
const getMediaCacheId = (media) => {
  const cacheKey = getMediaCacheKey(media);
  return sha1Hex(cacheKey);
};
const getMediaCacheFilename = (media) => {
  const cacheId = getMediaCacheId(media);
  const { dir, prefix } = getStoragePaths(cacheId);
  return path.join(dir, `${prefix}-media.cache`);
};
export {
  getMediaCacheFilename,
  getMediaCacheId,
  getMediaCacheKey
};
//# sourceMappingURL=media-cache-file.js.map
