import path from "path";
import { writeSafe } from "@home-gallery/common";
import { getMetaKeyName } from "./meta-file-key.js";
function writeStorageFile(entry, storageDir, filename, data, cb) {
  writeSafe(path.join(storageDir, filename), data, (err) => {
    if (err) {
      return cb(err);
    }
    entry.files.push(filename);
    if (filename.match(/\.json$/)) {
      const key = getMetaKeyName(filename);
      entry.meta[key] = JSON.parse(data);
    }
    cb();
  });
}
export {
  writeStorageFile
};
//# sourceMappingURL=write-storage-file.js.map
